package com.javacodegeeks.examples.multiple_insert;

import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.PreparedStatement;
import java.sql.SQLException;
import java.util.ArrayList;
import java.util.List;

public class MultipleInsertExample {
	
	public static void main(String[] args) {
		String sqlQuery = "INSERT INTO `tbl` (`name`, `surname`, `age`) VALUES (?,?,?)";
		
		List<Person> coolGuys = new ArrayList<>();
		
		coolGuys.add(new Person("Larry", "Ellison", 70));
		coolGuys.add(new Person("Sergey", "Brin", 41));
		coolGuys.add(new Person("Stephan", "Wozniak", 64));
		
		try {
			Class.forName("com.mysql.jdbc.Driver");
			
			Connection conn = DriverManager.getConnection(
										DbContract.HOST+DbContract.DB,
										DbContract.USER,
										DbContract.PASSWORD);
			
			PreparedStatement preparedInsert = conn.prepareStatement(sqlQuery);
			
			int insertions = 0;
			for (Person guy : coolGuys) {
				preparedInsert.setString(1,guy.getName());
				preparedInsert.setString(2, guy.getSurname());
				preparedInsert.setInt(3, guy.getAge());
				
				insertions += preparedInsert.executeUpdate();
			}
			
			System.out.println(insertions+" records added");
		} catch (ClassNotFoundException | SQLException e) {
			e.printStackTrace();
		}
		

	}

}
